;(function($) {
  $.fn.imgResize = function() {

    var elements = this;
    $(elements).css('display', 'inline');

    elements.each(function() {
      var img_width = $(this).width();
      var img_height = $(this).height();

      var div_width = $(this).parent().width();
      var div_height = $(this).parent().height();

      var img_per = img_width >= img_height ? img_width / img_height : img_height / img_width;
      var div_per = div_width >= div_height ? div_width / div_height : div_height / div_width;

      if (img_width >= img_height) {
        if (img_per <= div_per) {
          $(this).removeAttr('height');
          $(this).css('margin', '');
          var mt = Math.round(((div_width / img_per) - div_height) / 2);
          $(this).attr('width', div_width).css('margin-top', '-' + mt + 'px');
        } else if (img_per > div_per) {
          $(this).removeAttr('width');
          $(this).css('margin', '');
          var ml = Math.round(((div_height * img_per) - div_width) / 2);
          $(this).attr('height', div_height).css('margin-left', '-' + ml + 'px');;
        }
      } else if (img_width < img_height) {
        $(this).removeAttr('height');
        $(this).css('margin', '');
        var mt = Math.round(((div_width * img_per) - div_height) / 2);
        $(this).attr('width', div_width).css('margin-top', '-' + mt + 'px');
      }
    });
  };
})(jQuery);
